Subject: bug#41413: guix-install.sh broken on Gentoo

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 20 May 2020 02:09:19 +0200

Hullo,

ZC via web 写道：
> guix-install.sh calls "update-rc.d", which doesn't exist on a 
> Gentoo system. Instead of trying to support all possible init 
> systems, or make assumptions regarding how the init system 
> works, I'd suggest simply dropping support for anything other 
> than upstart and/or systemd.

I think we can safely assume that if ‘update-rc.d’ exists it will 
work a certain way (i.e. there aren't multiple incompatible 
‘update-rc.d’s around), and that the real bug is that the script 
checks for a random directory in /etc instead.

It should test for the script(s) it uses, not related symptoms.

Kind regards,

T G-R